.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1em;
}

.header-filter {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    column-gap: 1em;
}

.input-filter {
    min-width: 20em;
    border: 2px solid #aaa;
    border-radius: 4px;
    margin: 0.5em;
    outline: none;
    padding: 0.5em;
    box-sizing: border-box;
    transition: .3s;
}

.input-filter:focus {
    border-color: dodgerblue;
    box-shadow: 0 0 8px 0 dodgerblue;
}

.mat-column-completed {
    width: 1em;
}

.mat-column-edit {
    width: 1em;
}

.mat-column-delete {
    width: 1em;
}

@media screen and (max-width: 600px) {
    .body {
        overflow-y: hidden;
    }
    .table {
        overflow-x: auto;
    }

    .input-filter {
        min-width: 16em;
    }
}